# WebCryptoPartialPbkdf2 | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- WebCryptoPartialPbkdf2

### Implements

- Pbkdf2

## Index

### Constructors

- constructor

### Properties

- subtleCrypto

### Methods

- derive

## Constructors

### constructor

- new WebCryptoPartialPbkdf2(subtleCrypto: SubtleCrypto): WebCryptoPartialPbkdf2

- - Defined in packages/encryption/src/pbkdf2.ts:98

  #### Parameters

  - ##### subtleCrypto: SubtleCrypto

  #### Returns WebCryptoPartialPbkdf2

## Properties

### subtleCrypto

subtleCrypto: SubtleCrypto

- Defined in packages/encryption/src/pbkdf2.ts:98

## Methods

### derive

- derive(password: string, salt: Buffer, iterations: number, keyLength: number, digest: Pbkdf2Digests ): Promise<Buffer>

- Implementation of Pbkdf2.derive

  - Defined in packages/encryption/src/pbkdf2.ts:104

  #### Parameters

  - ##### password: string

  - ##### salt: Buffer

  - ##### iterations: number

  - ##### keyLength: number

  - ##### digest: Pbkdf2Digests

  #### Returns Promise<Buffer>

Generated using TypeDoc